/*
 * Copyright 2021 Sony Corporation
 */


#ifndef _SONY_BE_GPIO
#define _SONY_BE_GPIO

#include <dm/uclass.h>
#include <dm/platdata.h>

static const struct driver_info be_boot_info = {
	.name = "sony_be_boot_params",
};

struct be_boot_pwr_on {
	uint32_t pwr_1_io;
	uint32_t pwr_2_io;
	uint32_t pwr_rst_io;
	uint32_t boot_up_io;
	uint32_t vb1_req_io;
	uint32_t on_delay;
	uint32_t stable_delay;
};


int get_be_power_on_param(struct udevice *dev, struct be_boot_pwr_on *be_boot_param);
unsigned int get_be_vb1req_io(struct udevice *dev);
unsigned int get_be_bootup_io(struct udevice *dev);
#endif
